Download it now!
Bug 66400 - FILEOPEN: DOCX import document with 'Combine Characters' ignored
Summary: FILEOPEN: DOCX import document with 'Combine Characters' ignored
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-30 14:33 UTC by Adam CloudOn
Modified: 2013-09-25 21:03 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
DOCX containing 'Combined Characters' (15.99 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-30 14:33 UTC, Adam CloudOn
Details
Screenshot comparison between MS Word and LibreOffice (106.68 KB, image/png)
2013-09-21 18:01 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-06-30 14:33:35 UTC
Created attachment 81746 [details]
DOCX containing 'Combined Characters'

Problem description: 
When loading a DOCX that has 'Combined Characters' in it - LO ignores it.

Steps to reproduce:
1. Load the attached DOCX in LO
2. LO doesn't show the 'Combined Characters'

Note ! In order to create from scratch a DOCX with a 'Combined Characters' - you must add to the toolbar the 'Asian Layout' menu.

Current behavior:
LO ignores the 'Combined Characters'.

Expected behavior:
LO should show the 'Combined Characters'
              
Operating System: All
Version: 4.2.0.0.alpha0+ Master
Comment 1 Jorendc 2013-07-01 09:22:02 UTC
I can confirm this behavior using Mac OSX 10.8.4 with LibreOffice Version: 4.2.0.0.alpha0+ Build ID: 9ab800829b8a0e44824dc11276b54b1870bc5b2b in combination of Word for Mac 2011.

Kind regards,
Joren
Comment 2 Adam CloudOn 2013-09-21 18:01:19 UTC
Created attachment 86290 [details]
Screenshot comparison between MS Word and LibreOffice
Comment 3 Commit Notification 2013-09-25 20:55:19 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2de32959d0041dddf5c47da9b7829c2e272478aa

Related: fdo#66400 take uppercase of first field token



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-09-25 20:55:40 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5342cd7533a51fd488de85565674ee01649ddcbc

Resolves: fdo#66400 import combined characters from docx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.